body{
    background:#686c6f;
}

.main{
    background: linear-gradient(to right, #dbc2a4 , #b6ada0);
    display: flex;
    height: 80%;
    width: 80%;
    border-radius: 20px;
    box-shadow: 0 0 20px #808080;
    overflow: hidden;
    align-items: center;
    margin: 4.5% auto;
}

.mainForReg{
    height: fit-content;
}

/* ------------------------------------------------------------------------------------------------------------------------------------ */
/* -------------------------------------------------           Common Items      ------------------------------------------------------ */

.userForm{
    display: grid;
    font-size: 1.6em;
    font-family: 'Candara';
    font-weight: 600;
    height: 100%;
    background: #f1f1f1;
    width:50%;
    border-radius: 0 70px 70px 0;
    
}

.userFormItems label{
    padding-left: 20px;
}

.userForm h1{
    text-align:center; 
    margin:30px 0;
    height: fit-content;
    font-size:2em; 
    color: #000;
    font-family:'candara';
}

.userForm h2{
    text-align:center; 
    font-family:'calibri'; 
    word-spacing:2px; 
    padding:22px 0; 
    font-size:1.1em;
}

.userFormItems{
    display: grid;
    margin: 0 auto;
    height: fit-content;
    width:fit-content;
    justify-content: space-between;
}

.userInput{
    border-radius: 50px;
    padding: 10px 15px;
    height: fit-content;
    margin: 20px auto;
    background-color: #dbc2a472;
    font-size:0.8em;
    width: 30vw;
    border: none;
    outline: none;
}

.eyeImage{
    height: 30px;
    width: fit-content;
    margin: -57px 15px 0 auto;
    border-radius: 50px;
    cursor: pointer;
}

.userImgDisp{
    height: 15vw;
    width: fit-content;
    margin: 0 auto;
    border-radius: 20px;
}

.userBtn{
    font-family: 'Calibri';
    font-weight: 600;
    letter-spacing: 2px;
    background: linear-gradient(to right , #dbc2a4 , #d0c6b7);
    font-size: 1em;
    padding: 8px 35px;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: 0.5s;
}

.userBtn:hover{
    background: black;
    color: white;
}

.responsiveLinks{
    display: none;
}

.pageDetail{
    text-align: center;
    line-height: 50px;
    font-size: 1.5em;
    padding-top: 5px;
    width: 50%;
    height: 100%;
    transition: 0.5s ease;
}

.pageDetail .logo{
    height: 15vw;
    border-radius: 50%;
    width: fit-content;
    margin: 30px auto;
}

.commonPageDetail{
    display: none;
}

.redirectionLink{
    font-size: 1.2em;
}

.link{
    border: 1px solid whitesmoke;
    width: fit-content;
    font-size: 1em;
    margin: 20px auto;
    padding: 5px 25px;
    background: transparent;
    text-decoration: none;
    border-radius: 50px;
    cursor: pointer;
}

.link:hover{
    background-color: black;
    color: whitesmoke;
    border: 1px solid black;
}

/* ------------------------------------------------------------------------------------------------------------------------------------------- */
/* ---------------------------------------------------           Login Form       ------------------------------------------------------------ */

#loginForm{
    border-radius: 70px 0 0 70px;
}

/* -------------------------------------------------------- */

.activeLoginForm{
    z-index: 1;
    animation: loginActive 0.5s ease-in;
}

@keyframes loginActive{
    0%{
        transform: translateX(-100%);
        opacity: 0;
    }
    100%{
        transform: translateX(0%);
        opacity: 1;
    }
}

.deactiveLoginForm{
    animation: loginDeactive 0.5s ease-out;   
    display: none;
    z-index: -1;
}


@keyframes loginDeactive{
    0%{
        transform: translateX(0%);
        opacity: 1;
    }
    100%{
        transform: translateX(100%);
        opacity: 0;
    }
}

/* ------------------------------------------------------------------------------------------------------------------------------------------- */
/* -------------------------------------------------           Login Page Details       ------------------------------------------------------ */

.activeLoginPageDetail{
    animation: loginPDActive 0.5s ease-in;   
    z-index: 1;
}

@keyframes loginPDActive{
    0%{
        transform: translateX(100%);
        opacity: 0;
    }
    100%{
        transform: translateX(0%);
        opacity: 1;
    }
}

.deactiveLoginPageDetail{
    animation: loginPDDeactive 0.5s ease-out;
    display: none;
    z-index: -1;
}

@keyframes loginPDDeactive{
    0%{
        transform: translateX(0%);
        opacity: 0;
    }
    100%{
        transform: translateX(200%);
        opacity: 1;
    }
}

/* ------------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------------------           Registration Page Details       -------------------------------------------------- */

.activeRegistrationPageDetail{
    animation: RegPDActive 0.5s ease-in;   
    z-index: 1;
    transform: translateX(100%);
}

@keyframes RegPDActive{
    0%{
        transform: translateX(0%);
        opacity: 0;
    }
    100%{
        transform: translateX(100%);
        opacity: 1;
    }
}

.deactiveRegistrationPageDetail{
    animation: RegPDDeactive 0.5s ease-out;   
    display: none;
    z-index: -1;
}

@keyframes RegPDDeactive{
    0%{
        transform: translateX(-100%);
        opacity: 1;
    }
    100%{
        transform: translateX(0%);
        opacity: 0;
    }
}

/* ------------------------------------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------         Registration Form       --------------------------------------------------- */

#registrationForm{
    padding: 0 0 30px 0;
}

#registrationForm .userFormItems{
    margin: 10px auto;
}

/* -------------------------------------------------------- */

.activeRegistrationForm{
    animation: RegActive 0.5s ease-in;   
    z-index: 1;
    transform: translateX(-100%);
}

@keyframes RegActive{
    0%{
        transform: translateX(0%);
        opacity: 0;
    }

    100%{
        transform: translateX(-100%);
        opacity: 1;
    }
}

.deactiveRegistrationForm{
    animation: RegDeactive 0.5s ease-out;   
    z-index: -1;
    display: none;
}

@keyframes RegDeactive{
    0%{
        transform: translateX(-100%);
        opacity: 1;
    }
    
    100%{
        transform: translateX(100%);
        opacity: 0;
    }
}

/* ------------------------------------------------------------------       Responsive          ---------------------------------------------------------------------- */

@media(max-width:980px){
    
    body{
        background: linear-gradient(to right, #dbc2a4 , #b6ada0);
        font-size: 1.3em;
    }

    .main{
        background: transparent;
        box-shadow: none;
        width: 90%;
        margin: 10% auto;
    }

    /* ---------------------------     Common Properties    ---------------------------- */

    .userForm{
        width: 100%;
        height: fit-content;
        padding: 30px 0;
    }

    .userInput{
        width:65vw;
        padding: 15px 20px;
        font-size: 1em;
    }

    .eyeImage{
        height: 65px;
        margin: -85px 15px 0 auto;
    }

    .pageDetail{
        display: none;
    }
    
    #loginForm , #registrationForm{
        border-radius: 70px;
    }

    /* ----------------------------     Responsive Links    ------------------------------ */
    
    .responsiveLinks{
        display: flex;
        justify-content: space-evenly;
    }
    
    .responsiveLinks h2{
        color: black;
        margin: 0;
    }

    .link{
        border: none;
        margin: 0;
        border-radius: 20px;
    }
   
    /* ----------------------------     Login Form    ------------------------------ */
    
    #loginForm{
        height:fit-content;
    }

    .activeLoginForm{
        animation: loginActive 0.5s ease-in;
        transform: translateY(0%);
    }
    
    @keyframes loginActive{
        0%{
            transform: translateY(-100%);
            opacity: 0;
        }

        50%{
            opacity: 0.5;
        }

        100%{
            transform: translateY(0%);
            opacity: 1;
        }
    }

    /* ----------------------------     Registration Form    ------------------------------ */

    .activeRegistrationForm{
        animation: RegActive 0.5s ease-in;
        transform: translateY(0%);
    }

    @keyframes RegActive{
        0%{
            transform: translateY(-100%);
            opacity: 0;
        }

        50%{
            opacity: 0.5;
        }
        
        100%{
            transform: translateY(0%);
            opacity: 1;
        }
    }
        
}